OpenJPEG: opj_j2k_dec Struct Reference

OpenJPEG 2.5.3

Data Fields
opj_j2k_dec Struct Reference

`#include <j2k.h>`

## Data Fields
OPJ_UINT32 | m_state
| locate in which part of the codestream the decoder is (main header, tile header, end)
opj_tcp_t * | m_default_tcp
| store decoding parameters common to all tiles (information like COD, COC in main header)
OPJ_BYTE * | m_header_data
OPJ_UINT32 | m_header_data_size
OPJ_UINT32 | m_sot_length
| to tell the tile part length
OPJ_UINT32 | m_start_tile_x
| Only tiles index in the correct range will be decoded.
OPJ_UINT32 | m_start_tile_y
OPJ_UINT32 | m_end_tile_x
OPJ_UINT32 | m_end_tile_y
OPJ_INT32 | m_tile_ind_to_dec
| Index of the tile to decode (used in get_tile)
OPJ_OFF_T | m_last_sot_read_pos
| Position of the last SOT marker read.
OPJ_BOOL | m_last_tile_part
| Indicate that the current tile-part is assume as the last tile part of the codestream.
OPJ_UINT32 | m_numcomps_to_decode
OPJ_UINT32 * | m_comps_indices_to_decode
opj_j2k_tlm_info_t | m_tlm
OPJ_UINT32 | m_idx_intersecting_tile_parts
| Below if used when there's TLM information available and we use opj_set_decoded_area() to a subset of all tiles.
OPJ_UINT32 | m_num_intersecting_tile_parts
OPJ_OFF_T * | m_intersecting_tile_parts_offset
OPJ_BITFIELD | m_can_decode: 1
| to tell that a tile can be decoded.
OPJ_BITFIELD | m_discard_tiles: 1
OPJ_BITFIELD | m_skip_data: 1
OPJ_BITFIELD | m_nb_tile_parts_correction_checked: 1
| TNsot correction : see issue 254.
OPJ_BITFIELD | m_nb_tile_parts_correction: 1

## Field Documentation

## ◆ m_can_decode

OPJ_BITFIELD opj_j2k_dec::m_can_decode

to tell that a tile can be decoded.

Referenced by opj_j2k_decode_tile(), opj_j2k_read_sot(), and opj_j2k_read_tile_header().

## ◆ m_comps_indices_to_decode

OPJ_UINT32* opj_j2k_dec::m_comps_indices_to_decode

Referenced by opj_j2k_are_all_used_components_decoded(), opj_j2k_decode_tile(), opj_j2k_destroy(), opj_j2k_move_data_from_codec_to_output_image(), and opj_j2k_set_decoded_components().

## ◆ m_default_tcp

opj_tcp_t* opj_j2k_dec::m_default_tcp

store decoding parameters common to all tiles (information like COD, COC in main header)

Referenced by j2k_get_cstr_info(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_create_decompress(), opj_j2k_destroy(), opj_j2k_dump_MH_info(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_mcc(), opj_j2k_read_mco(), opj_j2k_read_mct(), opj_j2k_read_poc(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_read_SQcd_SQcc(), and opj_j2k_set_decoded_resolution_factor().

## ◆ m_discard_tiles

OPJ_BITFIELD opj_j2k_dec::m_discard_tiles

Referenced by opj_j2k_read_siz(), and opj_j2k_set_decode_area().

## ◆ m_end_tile_x

OPJ_UINT32 opj_j2k_dec::m_end_tile_x

Referenced by opj_j2k_decode_tiles(), opj_j2k_read_siz(), opj_j2k_read_sot(), and opj_j2k_set_decode_area().

## ◆ m_end_tile_y

OPJ_UINT32 opj_j2k_dec::m_end_tile_y

Referenced by opj_j2k_decode_tiles(), opj_j2k_read_siz(), opj_j2k_read_sot(), and opj_j2k_set_decode_area().

## ◆ m_header_data

OPJ_BYTE* opj_j2k_dec::m_header_data

Referenced by opj_j2k_create_decompress(), opj_j2k_decode_one_tile(), opj_j2k_destroy(), opj_j2k_read_header_procedure(), opj_j2k_read_tile_header(), and opj_j2k_read_unk().

## ◆ m_header_data_size

OPJ_UINT32 opj_j2k_dec::m_header_data_size

Referenced by opj_j2k_create_decompress(), opj_j2k_destroy(), opj_j2k_read_header_procedure(), and opj_j2k_read_tile_header().

## ◆ m_idx_intersecting_tile_parts

OPJ_UINT32 opj_j2k_dec::m_idx_intersecting_tile_parts

Below if used when there's TLM information available and we use opj_set_decoded_area() to a subset of all tiles.

Referenced by opj_j2k_decode_tiles(), and opj_j2k_read_tile_header().

## ◆ m_intersecting_tile_parts_offset

OPJ_OFF_T* opj_j2k_dec::m_intersecting_tile_parts_offset

Referenced by opj_j2k_decode_tiles(), opj_j2k_destroy(), and opj_j2k_read_tile_header().

## ◆ m_last_sot_read_pos

OPJ_OFF_T opj_j2k_dec::m_last_sot_read_pos

Position of the last SOT marker read.

Referenced by opj_j2k_create_decompress(), opj_j2k_decode_one_tile(), and opj_j2k_read_tile_header().

## ◆ m_last_tile_part

OPJ_BOOL opj_j2k_dec::m_last_tile_part

Indicate that the current tile-part is assume as the last tile part of the codestream.

It is useful in the case of PSot is equal to zero. The sot length will be compute in the SOD reader function. FIXME NOT USED for the moment

Referenced by opj_j2k_read_sod(), and opj_j2k_read_sot().

## ◆ m_nb_tile_parts_correction

OPJ_BITFIELD opj_j2k_dec::m_nb_tile_parts_correction

Referenced by opj_j2k_read_sot(), and opj_j2k_read_tile_header().

## ◆ m_nb_tile_parts_correction_checked

OPJ_BITFIELD opj_j2k_dec::m_nb_tile_parts_correction_checked

TNsot correction : see issue 254.

Referenced by opj_j2k_create_decompress(), opj_j2k_decoder_set_strict_mode(), and opj_j2k_read_tile_header().

## ◆ m_num_intersecting_tile_parts

OPJ_UINT32 opj_j2k_dec::m_num_intersecting_tile_parts

Referenced by opj_j2k_decode_tiles(), and opj_j2k_read_tile_header().

## ◆ m_numcomps_to_decode

OPJ_UINT32 opj_j2k_dec::m_numcomps_to_decode

Referenced by opj_j2k_are_all_used_components_decoded(), opj_j2k_decode_tile(), opj_j2k_destroy(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_set_decoded_components(), and opj_jp2_apply_color_postprocessing().

## ◆ m_skip_data

OPJ_BITFIELD opj_j2k_dec::m_skip_data

Referenced by opj_j2k_read_sot(), and opj_j2k_read_tile_header().

## ◆ m_sot_length

OPJ_UINT32 opj_j2k_dec::m_sot_length

to tell the tile part length

Referenced by opj_j2k_read_sod(), opj_j2k_read_sot(), and opj_j2k_read_tile_header().

## ◆ m_start_tile_x

OPJ_UINT32 opj_j2k_dec::m_start_tile_x

Only tiles index in the correct range will be decoded.

Referenced by opj_j2k_decode_tiles(), opj_j2k_read_siz(), opj_j2k_read_sot(), and opj_j2k_set_decode_area().

## ◆ m_start_tile_y

OPJ_UINT32 opj_j2k_dec::m_start_tile_y

Referenced by opj_j2k_decode_tiles(), opj_j2k_read_siz(), opj_j2k_read_sot(), and opj_j2k_set_decode_area().

## ◆ m_state

OPJ_UINT32 opj_j2k_dec::m_state

locate in which part of the codestream the decoder is (main header, tile header, end)

Referenced by opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_decode_one_tile(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_decoding_validation(), opj_j2k_encoding_validation(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_header_procedure(), opj_j2k_read_mcc(), opj_j2k_read_mco(), opj_j2k_read_mct(), opj_j2k_read_poc(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_read_soc(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_read_SQcd_SQcc(), opj_j2k_read_tile_header(), opj_j2k_read_unk(), and opj_j2k_set_decode_area().

## ◆ m_tile_ind_to_dec

OPJ_INT32 opj_j2k_dec::m_tile_ind_to_dec

Index of the tile to decode (used in get_tile)

Referenced by opj_j2k_create_decompress(), opj_j2k_decode_one_tile(), opj_j2k_get_tile(), opj_j2k_read_sot(), and opj_j2k_read_tile_header().

## ◆ m_tlm

opj_j2k_tlm_info_t opj_j2k_dec::m_tlm

Referenced by opj_j2k_build_tp_index_from_tlm(), opj_j2k_decode_tiles(), opj_j2k_destroy(), opj_j2k_read_sot(), opj_j2k_read_tile_header(), and opj_j2k_read_tlm().

The documentation for this struct was generated from the following file:

- j2k.h